
Name:		liblastfm
Version:	0.3.0
Release:	2%{?dist}
Summary:	Libraries to integrate Last.fm services

Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://github.com/mxcl/liblastfm/tree/master 
Source0:	http://cdn.last.fm/src/liblastfm-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Patch1: liblastfm-0.3.0-qmake.patch

BuildRequires: fftw3-devel
BuildRequires: libsamplerate-devel
BuildRequires: qt4-devel
BuildRequires: ruby

%description
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software.

%package devel
Summary: Development files for %{name}
Group:	 Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q

%patch1 -p1 -b .qmake


%build
# hack around hard-coded libdir, see qmake patch
LIB=%{_lib} ; export LIB
# no autofoo
./configure \
  --prefix %{_prefix} \
  --release

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_libdir}/liblastfm.so.0*
%{_libdir}/liblastfm_fingerprint.so.0*

%files devel
%defattr(-,root,root,-)
%{_libdir}/liblastfm.so
%{_libdir}/liblastfm_fingerprint.so
%{_includedir}/lastfm.h
%{_includedir}/lastfm/


%changelog
* Tue Jun 30 2009 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-2
- rpmlint clean(er)
- BR: libsamplerate-devel
- -devel: fix Requires (typo, +%%?_isa)

* Tue Jun 09 2009 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-1
- liblfastfm-0.3.0

* Tue May 05 2009 Rex Dieter <rdieter@fedoraproject.org> 0.2.1-1
- liblastfm-0.2.1, first try
